(***********************************************************************)
(*                                                                     *)
(*                        Caml examples                                *)
(*                                                                     *)
(*            Pierre Weis                                              *)
(*                                                                     *)
(*                        INRIA Rocquencourt                           *)
(*                                                                     *)
(*  Copyright (c) 1994-2011, INRIA                                     *)
(*  All rights reserved.                                               *)
(*                                                                     *)
(*  Distributed under the BSD license.                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: demo.ml,v 1.3 2011-08-08 19:31:17 weis Exp $ *)

open Prop;;
open Asynt;;

let examine chane =
  let proposition = analyse_proposition chane in
  let variables = variables_libres proposition in
  try
    vrifie_tautologie proposition variables;
    begin match variables with
    | [] ->
        print_string "Thorme: "
    | [var] ->
        print_string ("Thorme: pour toute proposition "^var^", ")
    | _ ->
        print_string "Thorme: pour toutes propositions ";
        List.iter (function var -> print_string (var^", ")) variables
    end;
    print_string chane;
    print_newline()
  with Rfutation liaisons ->
    print_string (chane ^ " n'est pas un thorme,\n");
    print_string "car la proposition est fausse quand\n";
    List.iter
     (function (var, b) ->
       print_string (var ^ " est ");
       print_string (if b then "vraie" else "fausse");
       print_newline ())
     liaisons
;;

let boucle () =
  try
    while true do
      print_string ">>> "; examine(read_line())
    done
  with End_of_file -> ()
;;

if !Sys.interactive then () else begin boucle(); exit 0 end;;
